import { ChartDataset, Color, PointStyle } from 'chart.js';
import { BaseChartBuilder } from '../base-chart-builder';
import { DatasetType } from '../models/dataset-type';
import { DatasetBuilder } from './dataset-builder';
export declare class LinearDatasetBuilder<TFactory extends BaseChartBuilder<TFactory, TData>, TData> extends DatasetBuilder<TFactory, TData> {
    datasets: ChartDataset[];
    constructor(builder: TFactory, datasets: ChartDataset[]);
    ofType(type: DatasetType): LinearDatasetBuilder<TFactory, TData>;
    valuesRounding(decimals: number): LinearDatasetBuilder<TFactory, TData>;
    label(label: string): LinearDatasetBuilder<TFactory, TData>;
    thickness(thickness: number): LinearDatasetBuilder<TFactory, TData>;
    customAxis(axisId: string): LinearDatasetBuilder<TFactory, TData>;
    color(color: Color, transparency?: string): LinearDatasetBuilder<TFactory, TData>;
    barPercentage(value: number): LinearDatasetBuilder<TFactory, TData>;
    pointStyle(style: PointStyle): LinearDatasetBuilder<TFactory, TData>;
    pointRadius(radius: number, hitRadius?: any): LinearDatasetBuilder<TFactory, TData>;
    roundedBorders(radius: number): LinearDatasetBuilder<TFactory, TData>;
    roundToNearestStorageUnit(showUnitsInChartTitle?: boolean): LinearDatasetBuilder<TFactory, TData>;
}
